<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">

    <appender name="CONSOLE" class="org.apache.log4j.ConsoleAppender">
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="%p [%t] %c.%M(%L) | %m%n" />
        </layout>
    </appender>

    <appender name="FILE" class="org.apache.log4j.DailyRollingFileAppender">
        <param name="DatePattern" value="'.'yyyy-MM-dd"/><!--Rollover at midnight each day.-->
        <param name="File" value="${user.home}/applicationAdm.log"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[%d] %p [%t] %c.%M(%L) | %m%n"/>
        </layout>
    </appender>

    <logger name="org.apache">
        <level value="ERROR" />
    </logger>

    <!-- logger name="com.rjconsultores">
        <level value="DEBUG" />
    </logger-->

    <logger name="org.hibernate">
        <level value="ERROR" />
    </logger>

<!--     <logger name="org.hibernate.SQL"> -->
<!--         <level value="TRACE" /> -->
<!--         <appender-ref ref="FILE" /> -->
<!--     </logger> -->
    
    
    <logger name="WS.MESSAGE">
        <level value="DEBUG" />
    </logger>
    
    <logger name="org.springframework.security">
        <level value="ERROR" />
    </logger>
    
    <logger name="com.trg">
        <level value="ERROR" />
    </logger>

    <logger name="com.bci">
        <level value="ERROR" />
    </logger>

    <root>
        <level value="ERROR"/>
        <appender-ref ref="CONSOLE" />
        <appender-ref ref="FILE" />
    </root>

</log4j:configuration>
